# Interface ContractAndContexts

#### Hierarchy

- ContractAndContexts

- Defined in codec/lib/contexts/types.ts:35

#####
Index

### Properties

compilationId
constructorContext?
contract
deployedContext?
node

## Properties

### compilationId

compilationId: string

- Defined in codec/lib/contexts/types.ts:36

### `Optional` constructorContext

constructorContext?: Context

- Defined in codec/lib/contexts/types.ts:40

### contract

contract: Contract

- Defined in codec/lib/contexts/types.ts:37

### `Optional` deployedContext

deployedContext?: Context

- Defined in codec/lib/contexts/types.ts:39

### node

node: AstNode

- Defined in codec/lib/contexts/types.ts:38

Generated using TypeDoc